RDKit: RDKit::Subgraphs Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Typedefs | Functions
RDKit::Subgraphs Namespace Reference

## Typedefs
typedef std::tuple< std::uint32_t, std::uint32_t, std::uint32_t > | DiscrimTuple
| used to return path discriminators (three unsigned ints):

## Functions
RDKIT_SUBGRAPHS_EXPORT DiscrimTuple | calcPathDiscriminators (const ROMol &mol, const PATH_TYPE &path, bool useBO=true, std::vector< std::uint32_t > *extraInvars=nullptr)
RDKIT_SUBGRAPHS_EXPORT PATH_LIST | uniquifyPaths (const ROMol &mol, const PATH_LIST &allPathsb, bool useBO=true)
RDKIT_SUBGRAPHS_EXPORT PATH_TYPE | bondListFromAtomList (const ROMol &mol, const PATH_TYPE &atomIds)
RDKIT_SUBGRAPHS_EXPORT ROMol * | pathToSubmol (const ROMol &mol, const PATH_TYPE &path, bool useQuery, std::map< int, int > &atomIdxMap)
RDKIT_SUBGRAPHS_EXPORT ROMol * | pathToSubmol (const ROMol &mol, const PATH_TYPE &path, bool useQuery=false)

## Typedef Documentation

## ◆ DiscrimTuple

typedef std::tuple<std::uint32_t, std::uint32_t, std::uint32_t> RDKit::Subgraphs::DiscrimTuple

used to return path discriminators (three unsigned ints):

Definition at line 26 of file SubgraphUtils.h.

## Function Documentation

## ◆ bondListFromAtomList()

RDKIT_SUBGRAPHS_EXPORT PATH_TYPE RDKit::Subgraphs::bondListFromAtomList | ( | const ROMol & | mol,
|  | const PATH_TYPE & | atomIds )

References RDKIT_SUBGRAPHS_EXPORT.

## ◆ calcPathDiscriminators()

RDKIT_SUBGRAPHS_EXPORT DiscrimTuple RDKit::Subgraphs::calcPathDiscriminators | ( | const ROMol & | mol,
|  | const PATH_TYPE & | path,
|  | bool | useBO = true,
|  | std::vector< std::uint32_t > * | extraInvars = nullptr )

References RDKIT_SUBGRAPHS_EXPORT.

## ◆ pathToSubmol() [1/2]

RDKIT_SUBGRAPHS_EXPORT ROMol * RDKit::Subgraphs::pathToSubmol | ( | const ROMol & | mol,
|  | const PATH_TYPE & | path,
|  | bool | useQuery,
|  | std::map< int, int > & | atomIdxMap )

References RDKIT_SUBGRAPHS_EXPORT.

## ◆ pathToSubmol() [2/2]

RDKIT_SUBGRAPHS_EXPORT ROMol * RDKit::Subgraphs::pathToSubmol | ( | const ROMol & | mol,
|  | const PATH_TYPE & | path,
|  | bool | useQuery = false )

References RDKIT_SUBGRAPHS_EXPORT.

## ◆ uniquifyPaths()

RDKIT_SUBGRAPHS_EXPORT PATH_LIST RDKit::Subgraphs::uniquifyPaths | ( | const ROMol & | mol,
|  | const PATH_LIST & | allPathsb,
|  | bool | useBO = true )

References RDKIT_SUBGRAPHS_EXPORT.